Data Controllers - Get Data Controller

Retrieves a dataController resource

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/dataControllers/{dataControllerName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
dataControllerName
path True

string

The name of the data controller

resourceGroupName
path True

string

The name of the Azure resource group

subscriptionId
path True

string

The ID of the Azure subscription

api-version
query True

string

The API version to use for the request

Responses

Name Type Description
200 OK

DataControllerResource

OK

Other Status Codes

ErrorResponse

*** Error Responses: ***

Examples

Get a data controller.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/dataControllers/testdataController?api-version=2026-01-01

Sample response

{
  "properties": {
    "onPremiseProperty": {
      "id": "12345678-1234-1234-ab12-1a2b3c4d5e6f",
      "publicSigningKey": "publicOnPremSigningKey",
      "signingCertificateThumbprint": "Unique thumbprint returned to customer to verify the certificate they uploaded"
    },
    "basicLoginInformation": {
      "username": "username"
    },
    "metricsDashboardCredential": {
      "username": "username"
    },
    "logsDashboardCredential": {
      "username": "username"
    },
    "logAnalyticsWorkspaceConfig": {
      "workspaceId": "00000000-1111-2222-3333-444444444444"
    },
    "uploadServicePrincipal": {
      "clientId": "00000000-1111-2222-3333-444444444444",
      "tenantId": "00000000-1111-2222-3333-444444444444",
      "authority": "https://login.microsoftonline.com/"
    },
    "uploadWatermark": {
      "metrics": "2020-01-01T17:18:19.1234567Z",
      "logs": "2020-01-01T17:18:19.1234567Z",
      "usages": "2020-01-01T17:18:19.1234567Z"
    },
    "clusterId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/connectedk8s",
    "extensionId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/connectedk8s/providers/Microsoft.KubernetesConfiguration/extensions/extension",
    "infrastructure": "onpremises"
  },
  "extendedLocation": {
    "type": "CustomLocation",
    "name": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.ExtendedLocation/customLocations/arclocation"
  },
  "location": "northeurope",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "tags": {
    "mytag": "myval"
  },
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/dataControllers/testdataController",
  "name": "testdataController",
  "type": "Microsoft.AzureArcData/dataControllers"
}

Definitions

Name Description
BasicLoginInformation

Username and password for basic login authentication.

createdByType

The type of identity that created the resource.

DataControllerProperties

The data controller properties.

DataControllerResource

Data controller resource

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExtendedLocation

The complex type of the extended location.

ExtendedLocationTypes

The type of the extended location.

infrastructure

The infrastructure the data controller is running on.

LogAnalyticsWorkspaceConfig

Log analytics workspace id and primary key

OnPremiseProperty

Properties from the Kubernetes data controller

systemData

Metadata pertaining to creation and last modification of the resource.

UploadServicePrincipal

Service principal for uploading billing, metrics and logs.

UploadWatermark

Properties on upload watermark. Mostly timestamp for each upload data type

BasicLoginInformation

Username and password for basic login authentication.

Name Type Description
password

string

Login password.

username

string

Login username.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DataControllerProperties

The data controller properties.

Name Type Default value Description
basicLoginInformation

BasicLoginInformation

Deprecated. Azure Arc Data Services data controller no longer expose any endpoint. All traffic are exposed through Kubernetes native API.

clusterId

string

If a CustomLocation is provided, this contains the ARM id of the connected cluster the custom location belongs to.

extensionId

string

If a CustomLocation is provided, this contains the ARM id of the extension the custom location belongs to.

infrastructure

infrastructure

other

The infrastructure the data controller is running on.

k8sRaw

object

The raw kubernetes information

lastUploadedDate

string (date-time)

Last uploaded date from Kubernetes cluster. Defaults to current date time

logAnalyticsWorkspaceConfig

LogAnalyticsWorkspaceConfig

Log analytics workspace id and primary key

logsDashboardCredential

BasicLoginInformation

Login credential for logs dashboard on the Kubernetes cluster.

metricsDashboardCredential

BasicLoginInformation

Login credential for metrics dashboard on the Kubernetes cluster.

onPremiseProperty

OnPremiseProperty

Properties from the Kubernetes data controller

provisioningState

string

The provisioning state of the Arc Data Controller resource.

uploadServicePrincipal

UploadServicePrincipal

Deprecated. Service principal is deprecated in favor of Arc Kubernetes service extension managed identity.

uploadWatermark

UploadWatermark

Properties on upload watermark. Mostly timestamp for each upload data type

DataControllerResource

Data controller resource

Name Type Description
extendedLocation

ExtendedLocation

The extendedLocation of the resource.

id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

DataControllerProperties

The data controller's properties

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExtendedLocation

The complex type of the extended location.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationTypes

The type of the extended location.

ExtendedLocationTypes

The type of the extended location.

Value Description
CustomLocation

infrastructure

The infrastructure the data controller is running on.

Value Description
azure
gcp
aws
alibaba
onpremises
other

LogAnalyticsWorkspaceConfig

Log analytics workspace id and primary key

Name Type Description
primaryKey

string

Primary key of the workspace

workspaceId

string (uuid)

Azure Log Analytics workspace ID

OnPremiseProperty

Properties from the Kubernetes data controller

Name Type Description
id

string (uuid)

A globally unique ID identifying the associated Kubernetes cluster

publicSigningKey

string

Certificate that contains the Kubernetes cluster public key used to verify signing

signingCertificateThumbprint

string

Unique thumbprint returned to customer to verify the certificate being uploaded

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UploadServicePrincipal

Service principal for uploading billing, metrics and logs.

Name Type Description
authority

string

Authority for the service principal. Example: https://login.microsoftonline.com/

clientId

string (uuid)

Client ID of the service principal for uploading data.

clientSecret

string

Secret of the service principal

tenantId

string (uuid)

Tenant ID of the service principal.

UploadWatermark

Properties on upload watermark. Mostly timestamp for each upload data type

Name Type Description
logs

string (date-time)

Last uploaded date for logs from kubernetes cluster. Defaults to current date time

metrics

string (date-time)

Last uploaded date for metrics from kubernetes cluster. Defaults to current date time

usages

string (date-time)

Last uploaded date for usages from kubernetes cluster. Defaults to current date time